<?php
/*
#Бесплатный WAP движок StrongCMS
#Официальный сайт поддержки: http://strongcms.ru 
*/

# Заголовок>Функции>Шапка
$title = 'Смена пароля';
require_once ('../system/function.php');
require_once ('../system/header.php');

# закрываем от гостей
if(!$user['id']) exit(header('Location: '.$HOME));


echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | Смена пароля</div>';

if(isset($_REQUEST['upspass'])) {

$np = strong($_POST['np']);
$npp = strong($_POST['npp']);
$hp = md5(md5(md5(strong($_POST['hp']))));

if(empty($hp) or empty($np)) {
echo err('Введите старый и новый пароль!');
require_once ('../system/footer.php'); exit;
}

if($np != $npp){
echo err('Новый пароль подтвержден неверно!');
require_once ('../system/footer.php'); exit;
}

if(mb_strlen($hp) < 3 or mb_strlen($np) < 3) {
echo err('Введите старый и новый пароль от 3 символов!');
require_once ('../system/footer.php'); exit;
}

if (!preg_match('|^[a-z0-9\-]+$|i', $np)) {
echo err('Кириллица запрещена в новом пароле!');
require_once ('../system/footer.php'); exit;
}

if (!preg_match('|^[a-z0-9\-]+$|i', $hp)) {
echo err('Кириллица запрещена в старом пароле!');
require_once ('../system/footer.php'); exit;
}

$sql = mysql_fetch_assoc(mysql_query("SELECT `pass` FROM `users` WHERE `id` = '".$user['id']."'"));
if($sql['pass'] != $hp) {
echo err('Неверно введён старый пароль!');
require_once ('../system/footer.php'); exit;
}

mysql_query("UPDATE `users` SET `pass` = '".md5(md5(md5($np)))."' WHERE `id` = '".$user['id']."'");

if (isset($_COOKIE['uslog']) and isset($_COOKIE['uspass'])) 
setcookie('uspass', md5(md5(md5($np))), time() + 86400*31, '/'); 

echo '<div class="podmenu">Пароль успешно изменен!</div>';
echo '<div class="menudiv"><a href="'.$HOME.'/user/cab.php" class="k_menu">Назад в кабинет</div></a>';
require_once ('../system/footer.php'); exit;
}

echo '<div class="podmenu">Поля для ввода обьязательны,максимум 25 и минимум 3 символа!</div>
<div class="podmenu"><form action="" method="POST">
*Старый пароль:<br /><input type="text" name="hp" maxlength="25" /><br />
*Новый пароль:<br /><input type="text" name="np" maxlength="25" /><br />
*Повторите пароль:<br /><input type="text" name="npp" maxlength="25" /><br />
<input type="submit" name="upspass" value="Изменить" />
</form></div>
<div class="menudiv"><a href="'.$HOME.'/user/cab.php" class="k_menu">Назад в кабинет</div></a>';

//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>